Subject: Re: [mobile-ip] RFC3012 interpretation yet again

From: "Charles E. Perkins" <[email-masked]>
Date: Sun, 11 Nov 2001 15:51:57 -0800

Hello Luca,

Luca Salgarelli wrote:

> actually I do have a request for clarification on another point of RFC3012.
> 
> In secion 3.1, page 4 the RFC says:
> 
>    A successful Registration Reply from the Foreign Agent MAY include a
>    new Challenge value (see section 3.3).  The Mobile Node MAY use
>    either the value found in the latest Advertisement, or the one found
>    in the last Registration Reply from the Foreign Agent.  This approach
>    enables the Mobile Node to make use of the challenge without having
>    to wait for advertisements.
> 
>    A Mobile Node might receive an UNKNOWN_CHALLENGE error (see section
>    9) if it moves to a new Foreign Agent that cannot validate the
>    challenge provided in the Registration Request.  In such instances,
>    the Mobile Node MUST use a new Challenge value in any new
>    registration, obtained either from an Agent Advertisement, or from a
>    Challenge extension to the Registration Reply containing the error.
> 
> So it states that the MN MUST use a Challenge from an unsuccessful Reply.

...?  Either from a Reply, or from an Advertisement, right? ...

> 
> However, in section 3.2, page 5, it also says:
> 
>    The Foreign Agent MUST NOT accept any Challenge in the Registration
>    Request unless it was offered in last successful Registration Reply
>    issued to the Mobile Node, or else advertised as one of the last
> 
> Which seems to go against what stated above.

I think this point was also raised by Ahmad, and I have fixed it by
deleting the word "successful" as I believe you are suggesting in your
next paragraph...

> In general, I think that there is the need to clarify if the FA should or
> should not include a Challenge in an unsuccessful Registration Reply. If
> the FA should include it, than it should be clarified whether the MN is or
> is not allowed to use a Challenge obtained from an unsuccessful Reg. Reply.

Regards,
Charlie P.

---

From: Luca Salgarelli <[email-masked]>
Date: Mon, 12 Nov 2001 10:11:34 -0500

Hello Charlie.

> ...?  Either from a Reply, or from an Advertisement, right? ...

Right. My problem was with the fact that the FA shouldn't accept a
challenge unless it was contained either in a SUCCESSFUL reply, or in an
advertisement. Nonetheless, the MN was permitted to use a challenge from
ANY registration reply (successful or not).

I guess you are changing the text so that the FA can also accept challenges
from unsuccessful replies, so that clarifies the issue for me.

Thanks
Luca